Workers
Get Worker By Handle
Fetch the details for a worker using the worker_handle
AuthorizationBasic <token>
In: header
Path Parameters
worker_handle*string
Query Parameters
include_deleted?boolean
Flag to fetch deleted worker
from_time?|
ISO 8601 datetime indicating the start time. Default time range 24 hours.
to_time?|
ISO 8601 datetime indicating the end time. Default time range 24 hours.
date?|
ISO 8601 date format ('yyyy-MM-dd') indicating date to be used for the summary computation. Default: current date in worker's timezone.
include_summary?boolean
Flag to include worker summary. Default true.
include_schedule?boolean
Flag to include worker schedule. Default true.
include_timeline?boolean
Flag to include worker timeline. Default false.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/workers/string"{ "current_date": "2023-06-06", "work_status": { "available": false, "tracking": false }, "worker_handle": "james@ht.com", "name": "James", "ops_group_handle": "store-sf", "product_types": [ "plumbing", "hardware" ], "device_id": "00000000-4636-461C-B5F6-7E4BEFC09575", "profile": { "workerId": "0012244", "vehicle": "Ford F-150", "zoneId": "4" }, "schedule": [ { "start_time": "02:00", "end_time": "18:00", "day_of_week": "MONDAY" }, { "start_time": "02:00", "end_time": "18:00", "day_of_week": "TUESDAY" }, { "start_time": "02:00", "end_time": "18:00", "day_of_week": "WEDNESDAY" } ], "created_at": "2023-06-01T02:00:00Z", "home": { "address": "777 Story Rd, San Jose, CA 95122", "geometry": { "type": "Point", "coordinates": [ -121.8624398, 37.3304521 ] }, "radius": 100 }, "location": { "accuracy": 17.47, "geometry": { "coordinates": [ -121.877304, 37.371943, 29.26 ], "type": "Point" }, "speed": 0 }, "device_status": { "data": { "activity": "drive", "recorded_at": "2023-10-03T20:42:44.969Z" }, "value": "active" }, "devices": [ { "device_id": "00000000-4636-461C-B5F6-7E4BEFC09575", "start_time": "2023-10-03T20:42:38Z" } ], "summary": { "orders": { "completed": 4, "cancelled": 1, "assigned": 0, "tracked": 5, "total": 6, "completed_tasks": 0 }, "geotags": 4, "visits": 4, "intended_track_duration": 3600, "outage_duration": 0, "outage_distance": 0, "outage_summary": [], "tracked_duration": 3600, "tracked_distance": 3000, "order_duration": 1800, "geotag_duration": 0, "visit_duration": 600, "drive_duration": 1800, "walk_duration": 600, "stop_duration": 1200, "avg_distance_per_visit": 750, "status": { "intended_to_track": true, "tracked": true, "worked": true, "available": false } }, "work_started_at": "2023-06-06T14:00:00Z", "timeline": [ { "type": "driver_order_assigned", "recorded_at": "2023-06-06T14:00:00Z", "driver_handle": "james@ht.com", "order_handle": "order_1" }, { "type": "driver_order_completed", "recorded_at": "2023-06-06T14:15:00Z", "driver_handle": "james@ht.com", "order_handle": "order_1" } ]}{ "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}